Page MenuHomePhabricator

Missing media transcodes are not shown on File detail page
Closed, ResolvedPublic

Description

The table of media transcodes on the File: detail page only shows items listed in the transcodes table -- this means that anything that got deleted/missing due to an error (eg T100211) or never got defined due to addition of a new transcode definition cannot be reset cleanly.

(We used to auto-readd queues on-demand when a video got used in a page rendering, but this was super expensive when adding stuff.)

Might be nice to fill out the table with expected-but-missing items and provide a reset button to force them to generate.

Event Timeline

brion created this task.Jun 19 2015, 4:10 PM
brion updated the task description. (Show Details)
brion raised the priority of this task from to Needs Triage.
brion added a project: TimedMediaHandler.
brion added a subscriber: brion.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 19 2015, 4:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 219586 had a related patch set uploaded (by Brion VIBBER):
Re-queue missing or new transcodes on action=purge

https://gerrit.wikimedia.org/r/219586

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:00 PM
TheDJ closed this task as Resolved.Oct 25 2015, 1:32 PM
TheDJ assigned this task to brion.
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.